29tools
New · MCP SuiteYour infrastructure now talks to AI agents.

Claude, Codex & co. manage DNS, domains and certificates directly, including DNS Doctor diagnostics.

Explore the MCP Suite
DNS automation
v1.6.2
Download OpenAPI
Cancel pending DNSSEC transition
Cancel a currently pending DNSSEC activation or, for regfish-managed nameservers, a pending DNSSEC deactivation. If no cancellable transition exists, the request fails with 409.
POST
/dns/{domain}/dnssec/cancel
DomainDNSSECCancelByDomain

Authentication

x-api-key

Parameters

Name
Type
Format
Required
Description
domain
path
string
-
Required
Fully Qualified Domain Name.

Request example

POST
curl --request POST \
  --url 'https://api.regfish.com/dns/www.example.com/dnssec/cancel' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
DNSSEC transition cancelled or current stable state returned
application/jsondnssecResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "configured": true,
    "dnssec_state": "active",
    "mode": "none",
    "desired_state": "disabled",
    "live_state": "disabled",
    "capabilities": {
      "supported": true,
      "provider": "example",
      "mode_regfish_available": true,
      "mode_external_available": true,
      "accepted_record_kinds": [
        "ds"
      ],
      "min_records": 1,
      "accepted_algorithms": [
        1
      ]
    },
    "desired_records": [
      {
        "kind": "ds",
        "algorithm": 1
      }
    ],
    "live_records": [
      {
        "kind": "ds",
        "algorithm": 1
      }
    ],
    "using_regfish_nameservers": true,
    "legacy_mode": true,
    "zone_signed": true,
    "zone_pending_disable": true
  }
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
Domain not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "Domain not found",
  "error": "Domain not found"
}
409
No cancellable DNSSEC transition exists for this domain or the current transition cannot be rolled back automatically
application/jsonError
Response example 409
{
  "success": false,
  "message": "No cancellable DNSSEC transition exists for this domain or the current transition cannot be rolled back automatically",
  "error": "No cancellable DNSSEC transition exists for this domain or the current transition cannot be rolled back automatically"
}
Community

Devenez membre de la communauté

L'API DNS Regfish est une excellente solution pour les développeurs qui souhaitent automatiser les domaines et les zones DNS. Faites partie de la communauté et bénéficiez de l'automatisation DNS. L'API DNS est disponible gratuitement pour chaque client Regfish.